Update Plan

Use this API to update a plan.

Environment

Use our UAT environment endpoint for testing and for integration utilize our production endpoint.

EnvironmentEndpoints
User Acceptance Testing [UAT]https://pluraluat.v2.pinepg.in/ps/api/v1/public/plans/{plan_id}
Production [PROD]https://api.pluralpay.in/ps/api/v1/public/plans/{plan_id}

📘

Note:

  • Existing subscriptions under this plan will remain unaffected. The changes will apply only to new subscriptions created under this plan.
Path Params
string
required

Unique identifier for the subscription plan in the Plural database.

Example: v1-plan-4405071524-aa-qlAtAf

Body Params
string

Subscription plan name.

Example: Monthly Plan

string

Corresponding description for a plan.

Example: Diwali dhammaka plan intended to attract customers on diwali time

amount
object

An object that contains the amount details.

max_limit_amount
object

An object that contains the maximum limit amount details.

int32

When a trial period is offered for the plan, this defines the duration of the trial period.

Example: 1

string

The ISO 8601 UTC Timestamp is the date when the subscription plan expires and can no longer be used for new subscriptions.

Example: 2022-09-21T17:32:28Z

merchant_metadata
object

An object of key value pair that can be used to store additional information.

  • Each pair cannot exceed 256 characters.
  • Maximum 10 key-value pairs.
Example: "key1": "DD"

Headers
string
Defaults to application/json

The type of content included in the HTTP message body.

Possible value: application/json.

string
required
Defaults to Bearer

The HTTP header where you can include your secret token for authentication.

Example: Bearer <access_token>

Note: Use the access token generated using our Generate Token API.

string

Use ISO 8601 UTC Timestamp, to create a timestamp when the generate token is requested.

Example: 2024-07-09T07:57:08.022056Z

string

Use a global unique identifier [GUID] for the request.

  • Minimum: 1 characters.
  • Maximum: 50 characters
Example: c17ce30f-f88e-4f81-ada1-c3b4909ed235

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
Ask AI
Assistant
Order Lifecycle
Refunds
Settlements
Checkout
Dashboard
International Payments
How do I implement webhook notifications for payment status updates, and what's the recommended way to verify webhook authenticity?
How do I integrate Pine Labs payment gateway with my React Native mobile app and what are the required API credentials?
Can I customize the payment UI for card transactions, and what parameters can I pass to modify the checkout experience for my customers?
Assistant